#include "Area.h"


Framework::Vec3<int> getDirection( Directions dir )
{
    Framework::Vec3<int> result( 0, 0, 0 );
    if( ( dir | NORTH ) == dir )
        --result.y;
    if( ( dir | EAST ) == dir )
        ++result.x;
    if( ( dir | SOUTH ) == dir )
        ++result.y;
    if( ( dir | WEST ) == dir )
        --result.x;
    if( ( dir | TOP ) == dir )
        ++result.z;
    if( ( dir | BOTTOM ) == dir )
        --result.z;
    return result;
}