#include "Menu.h"
#include <AsynchronCall.h>

Menu::Menu( Bildschirm *zScreen )
    : ReferenceCounter(),
    zScreen( zScreen )
{}

void Menu::show()
{
    for( auto i = elements.getIterator(); i; i++ )
    {
        zScreen->addMember( dynamic_cast<Zeichnung *>(i->getThis()) );
    }
}

void Menu::hide()
{
    new AsynchronCall( [this]() {
        for( auto i = elements.getIterator(); i; i++ )
            zScreen->removeMember( dynamic_cast<Zeichnung *>(i->getThis()) );
    } );
}