#pragma once

#include <Network.h>
#include <Klient.h>
#include <Text.h>
#include <Thread.h>

class FactoryClient : public Framework::ReferenceCounter
{
private:
    Network::SSLKlient *client;
    bool connected;
    void disconnect();
    Network::NetworkReader *reader;

public:
    FactoryClient();
    ~FactoryClient();

    bool connect( Text ip, short port, int accountId, Text secret );
    Network::NetworkReader *getNextMessage();
};